Macaulay2 » Documentation
Packages » InverseSystems :: isStandardGradedPolynomialRing
next | previous | forward | backward | up | index | toc

# isStandardGradedPolynomialRing -- Checks whether a ring is a polynomial ring over a field with variables of degree 1

- Usage:
    `b = isStandardGradedPolynomialRing R`
- Inputs:
  - R, a ring,
- Outputs:
  - b, a Boolean value,

## See also

- isPolynomialRing -- whether something is a polynomial ring

## Ways to use isStandardGradedPolynomialRing:

- `isStandardGradedPolynomialRing(Ring)`

## For the programmer

The object isStandardGradedPolynomialRing is a method function.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/InverseSystems.m2:744:0.